Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

proxy.golang.org: #34795

Closed
brianvoe opened this issue Oct 9, 2019 · 2 comments

Comments

@brianvoe
Copy link

commented Oct 9, 2019

What version of Go are you using (go version)?

1.13

Does this issue reproduce with the latest release?

Yes

What operating system and processor architecture are you using (go env)?

go env Output
GO111MODULE="on"
GOARCH="amd64"
GOBIN=""
GOCACHE="/Users/bvoelker/Library/Caches/go-build"
GOENV="/Users/bvoelker/Library/Application Support/go/env"
GOEXE=""
GOFLAGS=""
GOHOSTARCH="amd64"
GOHOSTOS="darwin"
GONOPROXY=""
GONOSUMDB=""
GOOS="darwin"
GOPATH="/Users/bvoelker/go"
GOPRIVATE=""
GOPROXY="https://proxy.golang.org,direct"
GOROOT="/usr/local/go"
GOSUMDB="sum.golang.org"
GOTMPDIR=""
GOTOOLDIR="/usr/local/go/pkg/tool/darwin_amd64"
GCCGO="gccgo"
AR="ar"
CC="clang"
CXX="clang++"
CGO_ENABLED="1"
GOMOD="/Users/bvoelker/go/src/github.com/brianvoe/devlog_test/go.mod"
CGO_CFLAGS="-g -O2"
CGO_CPPFLAGS=""
CGO_CXXFLAGS="-g -O2"
CGO_FFLAGS="-g -O2"
CGO_LDFLAGS="-g -O2"
PKG_CONFIG="pkg-config"
GOGCCFLAGS="-fPIC -m64 -pthread -fno-caret-diagnostics -Qunused-arguments -fmessage-length=0 -fdebug-prefix-map=/var/folders/fp/3782qlys2m5gxtzrzctmq3z80000gn/T/go-build832680126=/tmp/go-build -gno-record-gcc-switches -fno-common"

What did you do?

go get github.com/brianvoe/gofakeit@v3.20.1

What did you expect to see?

Downloading of latest published version

What did you see instead?

verifying github.com/brianvoe/gofakeit@v3.20.1+incompatible/go.mod: github.com/brianvoe/gofakeit@v3.20.1+incompatible/go.mod: reading https://sum.golang.org/lookup/github.com/brianvoe/gofakeit@v3.20.1+incompatible: 410 Gone

@dmitshur dmitshur self-assigned this Oct 9, 2019
@dmitshur

This comment has been minimized.

Copy link
Member

commented Oct 9, 2019

This isn't an issue with the module mirror. You can confirm by trying the same command with GOPROXY set to "direct":

$ cd $(mktemp -d)
$ export GOPATH=$(pwd)
$ export GO111MODULE=on
$ export GOPROXY=direct
$ go get github.com/brianvoe/gofakeit@v3.20.1
go: finding github.com/brianvoe/gofakeit v3.20.1
go get github.com/brianvoe/gofakeit@v3.20.1: github.com/brianvoe/gofakeit@v3.20.1: invalid version: module contains a go.mod file, so major version must be compatible: should be v0 or v1, not v3

The problem is that the v3.20.1 version of the github.com/brianvoe/gofakeit module has major version 3, yet its go.mod doesn't have a /v3 suffix:

https://github.com/brianvoe/gofakeit/blob/v3.20.1/go.mod

See https://golang.org/wiki/Modules#releasing-modules-v2-or-higher for more information.

@dmitshur dmitshur removed their assignment Oct 9, 2019
@dmitshur dmitshur closed this Oct 9, 2019
@brianvoe

This comment has been minimized.

Copy link
Author

commented Oct 9, 2019

Ok . thanks for the feedback. I may not agree with it but I appreciate your feedback and letting me know how to resolve the issue

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.